ELF_SCNSHNDX(3)

NAME
elf_scnshndx - Find the index of the SHT_SYMTAB_SHNDX section associated with a symbol table

SYNOPSIS
#include <libelf.h>
int elf_scnshndx(Elf_Scn *scn);

DESCRIPTION
The elf_scnshndx() function searches for the SHT_SYMTAB_SHNDX section associated with a given symbol table section. It returns the section index of the corresponding SHT_SYMTAB_SHNDX section, or zero if none is found. This function is used for retrieving extended section indices in ELF files with many sections, where standard symbol table entries cannot store all possible section references directly. The function only returns a valid result if scn refers to a section of type SHT_SYMTAB. Otherwise, the function returns 0.

PARAMETERS

scn An Elf_Scn pointer referencing a symbol table section.

RETURN VALUE
Returns the section index of the SHT_SYMTAB_SHNDX section if found. If no such section is found, returns 0. On error, returns -1.

SEE ALSO
libelf(3), elf(5)

ATTRIBUTES
Interface | Attribute | Value
 | Thread safety | MT-Safe

REPORTING BUGS
Report bugs to <elfutils-devel@sourceware.org> or https://sourceware.org/bugzilla/.

HISTORY
elf_scnshndx first appeared in elfutils 0.132. This function is a elfutils libelf extension and may not be available in other libelf implementations.